Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.execution
Class BuiltInTasksBuildExecuter

    java.lang.Object
      org.gradle.execution.BuiltInTasksBuildExecuter

All Implemented Interfaces:
  BuildExecuter

    public class BuiltInTasksBuildExecuter

extends java.lang.Object
implements BuildExecuter

A `BuildExecuter` which executes the built-in tasks which are executable from the command-line.

Nested Class Summary
`static class` | `BuiltInTasksBuildExecuter.Options`

Constructor Summary
`BuiltInTasksBuildExecuter(BuiltInTasksBuildExecuter.Options options)`

Method Summary
`void` | `execute(TaskExecuter executer)` Executes the selected tasks.
`java.lang.String` | `getDisplayName()` Returns the description of this executer.
`Task` | `getTask()`
`void` | `select(Project project)` Selects the tasks to execute, if any.
`void` | `setOptions(BuiltInTasksBuildExecuter.Options options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuiltInTasksBuildExecuter

    public BuiltInTasksBuildExecuter(BuiltInTasksBuildExecuter.Options options)

Method Detail

### setOptions

    public void setOptions(BuiltInTasksBuildExecuter.Options options)

### select

    public void select(Project project)

  Description copied from interface: `BuildExecuter`
  Selects the tasks to execute, if any. This method is called before any other methods on this executer.

  Specified by:
    `select` in interface `BuildExecuter`

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `BuildExecuter`
  Returns the description of this executer. The result is used for log and error messages. Called after `BuildExecuter.select(org.gradle.api.Project)`.

  Specified by:
    `getDisplayName` in interface `BuildExecuter`

### getTask

    public Task getTask()

### execute

    public void execute(TaskExecuter executer)

  Description copied from interface: `BuildExecuter`
  Executes the selected tasks. Called after `BuildExecuter.select(org.gradle.api.Project)`.

  Specified by:
    `execute` in interface `BuildExecuter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD